from scipaperloader.celery import celery, configure_celery
# Import all task modules to ensure they are registered with Celery
import scipaperloader.scrapers.tasks  # Import new scheduler tasks
import scipaperloader.blueprints.scraper  # Import the scraper module with our tasks

# Configure celery with Flask app
configure_celery()

if __name__ == '__main__':
    # Start the Celery worker
    celery.start(['worker', '--loglevel=info', '--concurrency=2'])